#!/bin/sh

# This file maps a version of a product to a psp file containing support for
# that product. An instance of a product is defined as the platform string returned
# by the 'onie-sysinfo' command.  This string is of the form:
#
#       <arch>_<platform>_r<revision>
#
# All spaces and dashes (-) are replaced with underscores

# ONIE platform string => PSP filename
platformPspMap=$(cat <<EOF
x86_64_adv_fwa_2012_r0=Advantech.psp
EOF
)

for platformPsp in $platformPspMap; do
   eval $platformPsp
done

cmd="onie-sysinfo"

if [ "$1" == "--platforms" ]; then
   echo "$platformPspMap" | cut -d'=' -f1
elif [ "$1" == "--all" ]; then
   echo "$platformPspMap"
elif [ "$1" != "" ]; then
   ONIE_PLATFORM=$1
elif hash $cmd 2>/dev/null; then
   ONIE_PLATFORM=$($cmd)
fi

if [ -n "${ONIE_PLATFORM}" ]; then
   ONIE_PLATFORM=$(printf $ONIE_PLATFORM | tr -c '[0-9a-zA-Z_]' '_')
   pspMatch=$(eval "echo \$$ONIE_PLATFORM")
   if [ -n "$pspMatch" ]; then
      echo $ONIE_PLATFORM $pspMatch
   fi
fi
