#!/bin/sh

# BUG279533 - update JakkuD platform string
platformPspMap=$(cat <<EOF
x86_64_facebook_wedge100_r0=JakkuC.psp
x86_64_accton_wedge100_32x_r0=JakkuC.psp
x86_64_accton_wedge100s_32x_r0=JakkuC.psp
EOF
)

for platformPsp in $platformPspMap; do
   eval $platformPsp
done

cmd="onie-syseeprom -g 0x28"
baseCmd=$(echo $cmd | cut -d' ' -f1)

if [ "$1" == "--platforms" ]; then
   echo "$platformPspMap" | cut -d'=' -f1
elif [ "$1" == "--all" ]; then
   echo "$platformPspMap"
elif [ "$1" != "" ]; then
   ONIE_PLATFORM=$1
elif hash $baseCmd 2>/dev/null; then
   ONIE_PLATFORM=$($cmd)
fi

if [ -n "${ONIE_PLATFORM}" ]; then
   ONIE_PLATFORM=$(printf $ONIE_PLATFORM | tr -c '[0-9a-zA-Z_]' '_')
   pspMatch=$(eval "echo \$$ONIE_PLATFORM")
   if [ -n "$pspMatch" ]; then
      echo $ONIE_PLATFORM $pspMatch
   fi
fi
